# File managers

- [Awesome TUIs: file-managers](https://github.com/rothgar/awesome-tuis?tab=readme-ov-file#file-managers)

## Nautilus

Install:

```sh
sudo pacman -R nautilus gvfs-smb
```

## yazi

- [Website](https://yazi-rs.github.io/)
- [Docs](https://yazi-rs.github.io/docs/quick-start)
  - [Key bindings](https://yazi-rs.github.io/docs/quick-start#keybindings)
    "Press q to quit, F1 or ~ to open the help menu."
  - [Resources](https://yazi-rs.github.io/docs/resources/)
    - Previewers, Plugins, Integrations, etc.
- [GitHub](https://github.com/sxyazi/yazi)
- 23k stars, 127 contributors
- Rust, fast !
- Neovim plugin: [yazi.nvim](https://github.com/mikavilpas/yazi.nvim?tab=readme-ov-file)
- Issues
  - [Yazi no longer recognizes LibreOffice and Word files](https://github.com/sxyazi/yazi/issues/1091)
- Feature requests
  - [View Recent files](https://github.com/sxyazi/yazi/issues/2384)

### Plugins

- [Docs: Plugins](https://yazi-rs.github.io/docs/plugins/overview)
- [GitHub: yazi-rs/plugins](https://github.com/yazi-rs/plugins)
- [Functional plugins](https://yazi-rs.github.io/docs/resources/#functional)
  - List of existing plugins

## ranger

- [GitHub](https://github.com/ranger/ranger)
- 16k stars, 212 contributors
- Python
- [Neovim plugin](https://github.com/kelly-lin/ranger.nvim?tab=readme-ov-file)

## broot

- [Website](https://dystroy.org/broot/)
- 11k stars, 93 contributors
- Rust
- Recent release

## lf

- [GitHub](https://github.com/gokcehan/lf)
- 8k stars, 104 contributors
- Arch package: `lf`

## superfile

- [GitHub](https://github.com/yorukot/superfile)
- 13k stars, 64 contributors
- Go
- Recent release

## nnn

- [GitHub](https://github.com/jarun/nnn/)
- [Wiki: configuration](https://github.com/jarun/nnn/wiki/Usage#configuration)
- C
- Cons:
  - In order to uses [file icons](https://github.com/jarun/nnn/wiki/Advanced-use-cases#file-icons),
    nnn needs to get compiled with a special build flag.
  - Only one contributor (=maintainer)

Install:

```sh
cd ~/projects/file-managers/nnn
gup
sudo apt-get install pkg-config libncursesw5-dev libreadline-dev
make O_NERD=1
sudo make strip install
```

### nnn plugins

- [nnn plugins](https://github.com/jarun/nnn/tree/master/plugins)

Plugins are at `~/.config/nnn/plugins`

### preview-tui

- [preview-tui](https://github.com/jarun/nnn/blob/master/plugins/preview-tui)

has native kitty support (in contrast to `preview-tabbed`)

- Sometimes lines are not correctly wrapped
- No video preview

Install helpers:

```sh
sudo apt install imagemagick bat ffmpegthumbnailer libmagic-dev
env GO111MODULE=on go get -u github.com/doronbehar/pistol/cmd/pistol
```

## Stale / outdated

- [goful](https://github.com/anmitsu/goful)
  - Last commit 2021
- [sfm](https://github.com/afify/sfm)
  - Last release 2021
