# Locale Settings

On systemd enabled systems:

```sh
localectl set-locale LANG=en_US.UTF-8
```

## Etc

<https://www.thomas-krenn.com/en/wiki/Configure_Locales_in_Ubuntu>
<https://help.ubuntu.com/community/Locale>

For all locale meanings: `man 7 locale`

Default locale config files:

- `/etc/default/locale`
- `.pam_environment`

I don't know where but the most locales are set to `en_US.UTF-8`,
so we need to reset them in `~/.shrc`

## Use ISO 8601 (YYYY-MM-DD) as default time

<https://wiki.archlinux.org/index.php/locale#LC_TIME:\_date_and_time_format>

```sh
sudo locale-gen en_DK.UTF-8
locale -a | grep en_DK.utf8

export LC_TIME=en_DK.UTF-8
```
