# S3 with Kubernetes

- See also [cloud/storage/minio.md](../../cloud/storage/minio.md)
  and [cloud/storage/s3.md](../../cloud/storage/s3.md)

## S3 CSI driver

### yandex-cloud/k8s-csi-s3

- [GitHub](https://github.com/yandex-cloud/k8s-csi-s3)
  - Supports different [mounters](https://github.com/yandex-cloud/k8s-csi-s3?tab=readme-ov-file#mounter)
    - Defaults to [yandex-cloud/geesefs](https://github.com/yandex-cloud/geesefs)
    - Also supported: [S3FS](https://github.com/s3fs-fuse/s3fs-fuse) and [rclone](https://rclone.org/commands/rclone_mount)
    - `Geesefs` provides a [POSIX Compatibility Matrix]<https://github.com/yandex-cloud/geesefs?tab=readme-ov-file#posix-compatibility-matrix>)
      to other S3 FUSE drivers
    - `Geesefs`: Some Posix features only work with Yandex cloud
  - [Helm charts](https://artifacthub.io/packages/helm/kubeblocks/csi-s3)
    - Official [yandex-cloud/k8s-csi-s3 chart](https://github.com/yandex-cloud/k8s-csi-s3/tree/master/deploy/helm/csi-s3)
    - [k8s-csi-s3/csi-s3 chart](https://artifacthub.io/packages/helm/k8s-csi-s3/csi-s3)
      - Looks like directly packaged from the officially chart
      - Up to date
