# Waydroid

- [Website](https://waydro.id/)
- [Docs](https://docs.waydro.id/)
- [Arch wiki: Waydroid](https://wiki.archlinux.org/title/Waydroid)
- [Ultimate Guide to install Waydroid in any Arch-based distro](https://forum.garudalinux.org/t/ultimate-guide-to-install-waydroid-in-any-arch-based-distro-especially-garuda/15902)

## Installation

```sh
pamac install waydroid
```

## Init

```sh
sudo waydroid init
sudo waydroid init -s GAPPS  # Init with GApps + Play store
```

If you get an `ERROR: Downloaded system image hash doesn't match`, try again.

## Usage

Start waydroid container:

```sh
sudo systemctl start waydroid-container
```

Then start the Waydroid desktop app.

### Install app

```sh
waydroid app install https://...
```

### Logs

See logs (also available at `/var/lib/waydroid/waydroid.log`):

```sh
waydroid log
```

## Apps

### Aurora store

- Latest [Aurora Store keeps crashing](https://github.com/waydroid/waydroid/issues/1600)
  when installing an app
- Workaround is to install [v. 4.2.5](https://web.archive.org/web/20230928212250/https://f-droid.org/fr/packages/com.aurora.store/)
