# snap

<https://tutorials.ubuntu.com/tutorial/basic-snap-usage#0>
<https://wiki.ubuntuusers.de/snap/>

## Use snapd on debian/ubuntu

```sh
apt install snapd
```

Add `/snap/bin` to your path:

```sh
echo 'export PATH="$PATH:/snap/bin"' >> ~/.bashrc
```

## Install

```sh
sudo snap insatll watson
cat /snap/watson/current/meta/snap.yaml
```

## Debug snap apps

<https://forum.snapcraft.io/t/solved-snap-application-not-launching-due-to-a-snap-confine-permissions-issue/14753/4>

```sh
snap debug sandbox-features
snap debug confinement

SNAPD_DEBUG=1 SNAP_CONFINE_DEBUG=1 snap run atom

snap run --strace atom
```

## Interfaces

<https://snapcraft.io/docs/interface-management>

Show connections (interfaces and slots) of given snap:

```sh
snap connections starship
```

Show interface:

```sh
snap interface home
```

Add connection:

```sh
sudo snap connect vlc:audio-record :audio-record
sudo snap connect watson:home :home
```

## User data

<https://askubuntu.com/a/762405>

```sh
~/snap/
```

## Home interface

<https://snapcraft.io/docs/home-interface>

## Etc

List files installed by a snap:

```sh
find -L /snap/dog/current
```
